from setuptools import setup
import os
from glob import glob

package_name = 'ros2_turtlesim_shapes'

setup(
    name=package_name,
    version='0.0.0',
    packages=[package_name],
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        (os.path.join('share', package_name, 'launch'), glob('launch/*.py')),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='Diogo Peralta Cordeiro',
    maintainer_email='mail@diogo.site',
    description='Simple package to draw an ellipse with ROS turtle.',
    license='DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'talker = ros2_turtlesim_shapes.publisher_member_function:main',
        ],
    },
)
